Subject: common-lisp-controller: c-l-c fails to exclude /usr/lib/sbcl and such from cache
From: Francois-Rene Rideau <[email-masked]>
To: Debian Bug Tracking System <[email-masked]>
Date: Fri, 11 Aug 2006 18:06:56 -0400

Package: common-lisp-controller
Version: 6.2
Severity: minor

While compiling a program with sbcl and c-l-c, I realized that
c-l-c wasn't excluding directories such as /usr/lib/sbcl from its cache,
recompiling in-cache fasl's for source code instead of using
the precompiled fasl's. Same applies for other lisp implementations.
cl-launch fixed a similar with its function exclude-from-cache.

Note: if c-l-c ends up using the very same mechanism as cl-launch,
it would be nice if the interface was similar enough that cl-launch
could just import the relevant symbols in a #+common-lisp-controller.
In any case, you're welcome to "borrow" code from cl-launch.

PS: I see you depend on a package named realpath. In debian systems,
readlink --canonicalize now does the same thing. Of course, in older Linux
systems, BSD systems, etc., readlink doesn't have option --canonicalize. Sigh.

PPS: unrelatedly, I found more bugs in cl-launch and ECL when using
a system, and the bug has a long reach when the system has dependencies. Sigh.

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.16.9-blefuscu
Locale: LANG=en_US.iso-8859-1, LC_CTYPE=en_US.iso-8859-1 (charmap=ISO-8859-1) (ignored: LC_ALL set to en_US.iso-8859-1)

Versions of packages common-lisp-controller depends on:
ii  bash                          3.1-5      The GNU Bourne Again SHell
ii  cl-asdf                       1.99-2     Another System Definition Facility
ii  debconf [debconf-2.0]         1.5.2      Debian configuration management sy
ii  debianutils                   2.16.2     Miscellaneous utilities specific t
ii  perl                          5.8.8-6    Larry Wall's Practical Extraction 
ii  realpath                      1.10       Return the canonicalized absolute 

common-lisp-controller recommends no packages.

-- debconf information excluded